メインコンテンツへスキップ
POST
/
crm
/
objects
/
2026-03
/
{objectType}
/
batch
/
read
内部ID、または固有のプロパティー値を基準にアポイントをバッチ読み取り
curl --request POST \
  --url https://api.hubapi.com/crm/objects/2026-03/{objectType}/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "id": "430001"
    }
  ],
  "properties": [
    "<string>"
  ],
  "propertiesWithHistory": [
    "<string>"
  ],
  "idProperty": "<string>"
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z",
      "objectWriteTraceId": "<string>",
      "propertiesWithHistory": {},
      "url": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須

オブジェクトタイプのobjectTypeId

クエリパラメータ

archived
boolean
デフォルト:false

アーカイブ済みの結果のみを返すかどうか。

ボディ

application/json

CRMオブジェクトをバッチ読み取りするための入力を指定します。これには、オブジェクトIDの配列、要求されたプロパティー名(任意の履歴を含む)、および任意の重複しない識別プロパティーが含まれます。

inputs
object[]
必須
properties
string[]
必須

新しいオブジェクトのプロパティーを設定するためのキーと値のペア。

propertiesWithHistory
string[]
必須

新しいオブジェクトとその履歴のプロパティーを設定するためのキーと値のペア。

idProperty
string

カスタム固有値プロパティーを使用してレコードを取得する場合は、プロパティーの名前。レコードIDによって取得する場合は、このパラメーターを含めないでください。

レスポンス

successful operation

公開オブジェクトのバッチレスポンスオブジェクト

completedAt
string<date-time>
必須

バッチ処理が完了した時点のタイムスタンプ(ISO 8601形式)。

results
object[]
必須
startedAt
string<date-time>
必須

バッチ処理が開始された時点のタイムスタンプ(ISO 8601形式)。

status
enum<string>
必須

バッチ処理リクエストのステータス:「PENDING」、「PROCESSING」、「CANCELLED」、または「COMPLETE」

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

バッチリクエストに関連する、関連性の高いリンクを含むオブジェクト。

requestedAt
string<date-time>

バッチ要求が最初に行われた時点のタイムスタンプ(ISO 8601形式)。

Last modified on April 14, 2026